diff --git a/src/providers/dp_ptask.c b/src/providers/dp_ptask.c
index d0f7c6d..01b0210 100644
--- a/src/providers/dp_ptask.c
+++ b/src/providers/dp_ptask.c
@@ -60,11 +60,11 @@ static int be_ptask_destructor(void *pvt)
 
     task = talloc_get_type(pvt, struct be_ptask);
     if (task == NULL) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("BUG: task is NULL\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "BUG: task is NULL\n");
         return 0;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Terminating periodic task [%s]\n", task->name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Terminating periodic task [%s]\n", task->name);
 
     return 0;
 }
@@ -75,11 +75,11 @@ static void be_ptask_online_cb(void *pvt)
 
     task = talloc_get_type(pvt, struct be_ptask);
     if (task == NULL) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("BUG: task is NULL\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "BUG: task is NULL\n");
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Back end is online\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Back end is online\n");
     be_ptask_enable(task);
 }
 
@@ -88,7 +88,7 @@ static void be_ptask_offline_cb(void *pvt)
     struct be_ptask *task = NULL;
     task = talloc_get_type(pvt, struct be_ptask);
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Back end is offline\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Back end is offline\n");
     be_ptask_disable(task);
 }
 
@@ -100,7 +100,7 @@ static void be_ptask_timeout(struct tevent_context *ev,
     struct be_ptask *task = NULL;
     task = talloc_get_type(pvt, struct be_ptask);
 
-    DEBUG(SSSDBG_OP_FAILURE, ("Task [%s]: timed out\n", task->name));
+    DEBUG(SSSDBG_OP_FAILURE, "Task [%s]: timed out\n", task->name);
 
     talloc_zfree(task->req);
     be_ptask_schedule(task, task->period, BE_PTASK_SCHEDULE_FROM_NOW);
@@ -120,7 +120,7 @@ static void be_ptask_execute(struct tevent_context *ev,
     task->timer = NULL; /* timer is freed by tevent */
 
     if (be_is_offline(task->be_ctx)) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Back end is offline\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Back end is offline\n");
         switch (task->offline) {
         case BE_PTASK_OFFLINE_SKIP:
             be_ptask_schedule(task, task->period, BE_PTASK_SCHEDULE_FROM_NOW);
@@ -134,16 +134,16 @@ static void be_ptask_execute(struct tevent_context *ev,
         }
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Task [%s]: executing task, timeout %lu "
-                              "seconds\n", task->name, task->timeout));
+    DEBUG(SSSDBG_TRACE_FUNC, "Task [%s]: executing task, timeout %lu "
+                              "seconds\n", task->name, task->timeout);
 
     task->last_execution = time(NULL);
 
     task->req = task->send_fn(task, task->ev, task->be_ctx, task, task->pvt);
     if (task->req == NULL) {
         /* skip this iteration and try again later */
-        DEBUG(SSSDBG_OP_FAILURE, ("Task [%s]: failed to execute task, "
-              "will try again later\n", task->name));
+        DEBUG(SSSDBG_OP_FAILURE, "Task [%s]: failed to execute task, "
+              "will try again later\n", task->name);
 
         be_ptask_schedule(task, task->period, BE_PTASK_SCHEDULE_FROM_NOW);
         return;
@@ -161,8 +161,8 @@ static void be_ptask_execute(struct tevent_context *ev,
              * we need to cancel the request. */
             talloc_zfree(task->req);
 
-            DEBUG(SSSDBG_OP_FAILURE, ("Task [%s]: failed to set timeout, "
-                  "the task will be rescheduled\n", task->name));
+            DEBUG(SSSDBG_OP_FAILURE, "Task [%s]: failed to set timeout, "
+                  "the task will be rescheduled\n", task->name);
 
             be_ptask_schedule(task, task->period, BE_PTASK_SCHEDULE_FROM_NOW);
         }
@@ -183,14 +183,14 @@ static void be_ptask_done(struct tevent_req *req)
     task->req = NULL;
     switch (ret) {
     case EOK:
-        DEBUG(SSSDBG_TRACE_FUNC, ("Task [%s]: finished successfully\n",
-                                  task->name));
+        DEBUG(SSSDBG_TRACE_FUNC, "Task [%s]: finished successfully\n",
+                                  task->name);
 
         be_ptask_schedule(task, task->period, BE_PTASK_SCHEDULE_FROM_LAST);
         break;
     default:
-        DEBUG(SSSDBG_OP_FAILURE, ("Task [%s]: failed with [%d]: %s\n",
-                                  task->name, ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Task [%s]: failed with [%d]: %s\n",
+                                  task->name, ret, sss_strerror(ret));
 
         be_ptask_schedule(task, task->period, BE_PTASK_SCHEDULE_FROM_NOW);
         break;
@@ -204,7 +204,7 @@ static void be_ptask_schedule(struct be_ptask *task,
     struct timeval tv;
 
     if (!task->enabled) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Task [%s]: disabled\n", task->name));
+        DEBUG(SSSDBG_TRACE_FUNC, "Task [%s]: disabled\n", task->name);
         return;
     }
 
@@ -212,29 +212,29 @@ static void be_ptask_schedule(struct be_ptask *task,
     case BE_PTASK_SCHEDULE_FROM_NOW:
         tv = tevent_timeval_current_ofs(delay, 0);
 
-        DEBUG(SSSDBG_TRACE_FUNC, ("Task [%s]: scheduling task %lu seconds "
-              "from now [%lu]\n", task->name, delay, tv.tv_sec));
+        DEBUG(SSSDBG_TRACE_FUNC, "Task [%s]: scheduling task %lu seconds "
+              "from now [%lu]\n", task->name, delay, tv.tv_sec);
         break;
     case BE_PTASK_SCHEDULE_FROM_LAST:
         tv = tevent_timeval_set(task->last_execution + delay, 0);
 
-        DEBUG(SSSDBG_TRACE_FUNC, ("Task [%s]: scheduling task %lu seconds "
+        DEBUG(SSSDBG_TRACE_FUNC, "Task [%s]: scheduling task %lu seconds "
                                   "from last execution time [%lu]\n",
-                                  task->name, delay, tv.tv_sec));
+                                  task->name, delay, tv.tv_sec);
         break;
     }
 
     if (task->timer != NULL) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Task [%s]: another timer is already "
-                                     "active?\n", task->name));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Task [%s]: another timer is already "
+                                     "active?\n", task->name);
         talloc_zfree(task->timer);
     }
 
     task->timer = tevent_add_timer(task->ev, task, tv, be_ptask_execute, task);
     if (task->timer == NULL) {
         /* nothing we can do about it */
-        DEBUG(SSSDBG_CRIT_FAILURE, ("FATAL: Unable to schedule task [%s]\n",
-                                    task->name));
+        DEBUG(SSSDBG_CRIT_FAILURE, "FATAL: Unable to schedule task [%s]\n",
+                                    task->name);
         be_ptask_disable(task);
     }
 }
@@ -289,20 +289,20 @@ errno_t be_ptask_create(TALLOC_CTX *mem_ctx,
         /* install offline and online callbacks */
         ret = be_add_online_cb(task, be_ctx, be_ptask_online_cb, task, NULL);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Unable to install online callback "
-                                      "[%d]: %s", ret, sss_strerror(ret)));
+            DEBUG(SSSDBG_OP_FAILURE, "Unable to install online callback "
+                                      "[%d]: %s", ret, sss_strerror(ret));
             goto done;
         }
 
         ret = be_add_offline_cb(task, be_ctx, be_ptask_offline_cb, task, NULL);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Unable to install offline callback "
-                                      "[%d]: %s", ret, sss_strerror(ret)));
+            DEBUG(SSSDBG_OP_FAILURE, "Unable to install offline callback "
+                                      "[%d]: %s", ret, sss_strerror(ret));
             goto done;
         }
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Periodic task [%s] was created\n", task->name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Periodic task [%s] was created\n", task->name);
 
     be_ptask_schedule(task, first_delay, BE_PTASK_SCHEDULE_FROM_NOW);
 
@@ -323,12 +323,12 @@ done:
 void be_ptask_enable(struct be_ptask *task)
 {
     if (task->enabled) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Task [%s]: already enabled\n",
-                                     task->name));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Task [%s]: already enabled\n",
+                                     task->name);
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Task [%s]: enabling task\n", task->name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Task [%s]: enabling task\n", task->name);
 
     task->enabled = true;
     be_ptask_schedule(task, task->enabled_delay, BE_PTASK_SCHEDULE_FROM_NOW);
@@ -337,7 +337,7 @@ void be_ptask_enable(struct be_ptask *task)
 /* Disable the task, but if a request already in progress, let it finish. */
 void be_ptask_disable(struct be_ptask *task)
 {
-    DEBUG(SSSDBG_TRACE_FUNC, ("Task [%s]: disabling task\n", task->name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Task [%s]: disabling task\n", task->name);
 
     talloc_zfree(task->timer);
     task->enabled = false;
diff --git a/src/providers/dp_refresh.c b/src/providers/dp_refresh.c
index c368668..109fdc3 100644
--- a/src/providers/dp_refresh.c
+++ b/src/providers/dp_refresh.c
@@ -71,7 +71,7 @@ static errno_t be_refresh_get_values(TALLOC_CTX *mem_ctx,
     ret = sysdb_msg2attrs(tmp_ctx, count, msgs, &records);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not convert ldb message to sysdb_attrs\n"));
+              "Could not convert ldb message to sysdb_attrs\n");
         goto done;
     }
 
@@ -191,7 +191,7 @@ struct tevent_req *be_refresh_send(TALLOC_CTX *mem_ctx,
     req = tevent_req_create(mem_ctx, &state,
                             struct be_refresh_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
@@ -208,8 +208,8 @@ struct tevent_req *be_refresh_send(TALLOC_CTX *mem_ctx,
     if (ret == EOK) {
         goto immediately;
     } else if (ret != EAGAIN) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("be_refresh_step() failed [%d]: %s\n",
-                                    ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "be_refresh_step() failed [%d]: %s\n",
+                                    ret, sss_strerror(ret));
         goto immediately;
     }
 
@@ -255,8 +255,8 @@ static errno_t be_refresh_step(struct tevent_req *req)
     ret = state->cb->get_values(state, state->be_ctx->domain, state->period,
                                 &values);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to obtain DN list [%d]: %s\n",
-                                    ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to obtain DN list [%d]: %s\n",
+                                    ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/providers/fail_over.c b/src/providers/fail_over.c
index 98c2006..e8d4903 100644
--- a/src/providers/fail_over.c
+++ b/src/providers/fail_over.c
@@ -140,12 +140,12 @@ fo_context_init(TALLOC_CTX *mem_ctx, struct fo_options *opts)
 
     ctx = talloc_zero(mem_ctx, struct fo_ctx);
     if (ctx == NULL) {
-        DEBUG(1, ("No memory\n"));
+        DEBUG(1, "No memory\n");
         return NULL;
     }
     ctx->opts = talloc_zero(ctx, struct fo_options);
     if (ctx->opts == NULL) {
-        DEBUG(1, ("No memory\n"));
+        DEBUG(1, "No memory\n");
         return NULL;
     }
 
@@ -155,8 +155,8 @@ fo_context_init(TALLOC_CTX *mem_ctx, struct fo_options *opts)
     ctx->opts->service_resolv_timeout = opts->service_resolv_timeout;
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Created new fail over context, retry timeout is %ld\n",
-           ctx->opts->retry_timeout));
+          "Created new fail over context, retry timeout is %ld\n",
+           ctx->opts->retry_timeout);
     return ctx;
 }
 
@@ -223,8 +223,8 @@ collapse_srv_lookup(struct fo_server **_server)
 
     server = *_server;
     meta = server->srv_data->meta;
-    DEBUG(4, ("Need to refresh SRV lookup for domain %s\n",
-              meta->srv_data->dns_domain));
+    DEBUG(4, "Need to refresh SRV lookup for domain %s\n",
+              meta->srv_data->dns_domain);
 
     if (server != meta) {
         while (server->prev && server->prev->srv_data == meta->srv_data) {
@@ -282,7 +282,7 @@ get_srv_data_status(struct srv_data *data)
             data->last_status_change.tv_sec = 0;
             break;
         default:
-            DEBUG(1, ("Unknown state for SRV server!\n"));
+            DEBUG(1, "Unknown state for SRV server!\n");
         }
     }
 
@@ -292,8 +292,8 @@ get_srv_data_status(struct srv_data *data)
 static void
 set_srv_data_status(struct srv_data *data, enum srv_lookup_status status)
 {
-    DEBUG(4, ("Marking SRV lookup of service '%s' as '%s'\n",
-              data->meta->service->name, str_srv_data_status(status)));
+    DEBUG(4, "Marking SRV lookup of service '%s' as '%s'\n",
+              data->meta->service->name, str_srv_data_status(status));
 
     gettimeofday(&data->last_status_change, NULL);
     data->srv_lookup_status = status;
@@ -312,15 +312,15 @@ get_server_status(struct fo_server *server)
     if (server->common == NULL)
         return SERVER_NAME_RESOLVED;
 
-    DEBUG(7, ("Status of server '%s' is '%s'\n", SERVER_NAME(server),
-              str_server_status(server->common->server_status)));
+    DEBUG(7, "Status of server '%s' is '%s'\n", SERVER_NAME(server),
+              str_server_status(server->common->server_status));
 
     timeout = server->service->ctx->opts->retry_timeout;
     gettimeofday(&tv, NULL);
     if (timeout != 0 && server->common->server_status == SERVER_NOT_WORKING) {
         if (STATUS_DIFF(server->common, tv) > timeout) {
-            DEBUG(4, ("Reseting the server status of '%s'\n",
-                      SERVER_NAME(server)));
+            DEBUG(4, "Reseting the server status of '%s'\n",
+                      SERVER_NAME(server));
             server->common->server_status = SERVER_NAME_NOT_RESOLVED;
             server->common->last_status_change.tv_sec = tv.tv_sec;
         }
@@ -328,8 +328,8 @@ get_server_status(struct fo_server *server)
 
     if (server->common->rhostent && STATUS_DIFF(server->common, tv) >
         server->common->rhostent->addr_list[0]->ttl) {
-        DEBUG(4, ("Hostname resolution expired, resetting the server "
-                  "status of '%s'\n", SERVER_NAME(server)));
+        DEBUG(4, "Hostname resolution expired, resetting the server "
+                  "status of '%s'\n", SERVER_NAME(server));
         fo_set_server_status(server, SERVER_NAME_NOT_RESOLVED);
     }
 
@@ -346,15 +346,15 @@ get_port_status(struct fo_server *server)
     struct timeval tv;
     time_t timeout;
 
-    DEBUG(7, ("Port status of port %d for server '%s' is '%s'\n", server->port,
-              SERVER_NAME(server), str_port_status(server->port_status)));
+    DEBUG(7, "Port status of port %d for server '%s' is '%s'\n", server->port,
+              SERVER_NAME(server), str_port_status(server->port_status));
 
     timeout = server->service->ctx->opts->retry_timeout;
     if (timeout != 0 && server->port_status == PORT_NOT_WORKING) {
         gettimeofday(&tv, NULL);
         if (STATUS_DIFF(server, tv) > timeout) {
-            DEBUG(4, ("Reseting the status of port %d for server '%s'\n",
-                      server->port, SERVER_NAME(server)));
+            DEBUG(4, "Reseting the status of port %d for server '%s'\n",
+                      server->port, SERVER_NAME(server));
             server->port_status = PORT_NEUTRAL;
             server->last_status_change.tv_sec = tv.tv_sec;
         }
@@ -398,10 +398,10 @@ fo_new_service(struct fo_ctx *ctx, const char *name,
     struct fo_service *service;
     int ret;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Creating new service '%s'\n", name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Creating new service '%s'\n", name);
     ret = fo_get_service(ctx, name, &service);
     if (ret == EOK) {
-        DEBUG(5, ("Service '%s' already exists\n", name));
+        DEBUG(5, "Service '%s' already exists\n", name);
         if (_service) {
                 *_service = service;
         }
@@ -473,7 +473,7 @@ static int server_common_destructor(void *memptr)
 
     common = talloc_get_type(memptr, struct server_common);
     if (common->request_list) {
-        DEBUG(1, ("BUG: pending requests still associated with this server\n"));
+        DEBUG(1, "BUG: pending requests still associated with this server\n");
         return -1;
     }
     DLIST_REMOVE(common->ctx->server_common_list, common);
@@ -518,8 +518,8 @@ fo_add_srv_server(struct fo_service *service, const char *srv,
     struct fo_server *server;
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Adding new SRV server to service '%s' using '%s'.\n",
-           service->name, proto));
+          "Adding new SRV server to service '%s' using '%s'.\n",
+           service->name, proto);
 
     DLIST_FOR_EACH(server, service->server_list) {
         /* Compare user data only if user_data_cmp and both arguments
@@ -713,16 +713,16 @@ static errno_t fo_add_server_to_list(struct fo_server **to_list,
                               server->user_data);
 
     if (exists) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Server '%s:%d' for service '%s' "
-              "is already present\n", debug_name, server->port, service_name));
+        DEBUG(SSSDBG_TRACE_FUNC, "Server '%s:%d' for service '%s' "
+              "is already present\n", debug_name, server->port, service_name);
         return EEXIST;
     }
 
     DLIST_ADD_END(*to_list, server, struct fo_server *);
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Inserted %s server '%s:%d' to service "
+    DEBUG(SSSDBG_TRACE_FUNC, "Inserted %s server '%s:%d' to service "
           "'%s'\n", (server->primary ? "primary" : "backup"),
-          debug_name, server->port, service_name));
+          debug_name, server->port, service_name);
 
     return EOK;
 }
@@ -879,7 +879,7 @@ set_lookup_hook(struct fo_server *server, struct tevent_req *req)
 
     request = talloc(req, struct resolve_service_request);
     if (request == NULL) {
-        DEBUG(1, ("No memory\n"));
+        DEBUG(1, "No memory\n");
         talloc_free(request);
         return ENOMEM;
     }
@@ -936,7 +936,7 @@ fo_resolve_service_send(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
     struct tevent_req *subreq;
     struct resolve_service_state *state;
 
-    DEBUG(4, ("Trying to resolve service '%s'\n", service->name));
+    DEBUG(4, "Trying to resolve service '%s'\n", service->name);
     req = tevent_req_create(mem_ctx, &state, struct resolve_service_state);
     if (req == NULL)
         return NULL;
@@ -947,7 +947,7 @@ fo_resolve_service_send(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
 
     ret = get_first_server_entity(service, &server);
     if (ret != EOK) {
-        DEBUG(1, ("No available servers for service '%s'\n", service->name));
+        DEBUG(1, "No available servers for service '%s'\n", service->name);
         goto done;
     }
 
@@ -955,7 +955,7 @@ fo_resolve_service_send(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
     ret = fo_resolve_service_activate_timeout(req, ev,
                                         ctx->opts->service_resolv_timeout);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not set service timeout\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not set service timeout\n");
         goto done;
     }
 
@@ -999,7 +999,7 @@ fo_resolve_service_timeout(struct tevent_context *ev,
 {
     struct tevent_req *req = talloc_get_type(pvt, struct tevent_req);
 
-    DEBUG(SSSDBG_MINOR_FAILURE, ("Service resolving timeout reached\n"));
+    DEBUG(SSSDBG_MINOR_FAILURE, "Service resolving timeout reached\n");
     tevent_req_error(req, ETIMEDOUT);
 }
 
@@ -1017,12 +1017,12 @@ fo_resolve_service_activate_timeout(struct tevent_req *req,
     state->timeout_handler = tevent_add_timer(ev, state, tv,
                                            fo_resolve_service_timeout, req);
     if (state->timeout_handler == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("tevent_add_timer failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "tevent_add_timer failed.\n");
         return ENOMEM;
     }
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Resolve timeout set to %lu seconds\n",
-          timeout_seconds));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Resolve timeout set to %lu seconds\n",
+          timeout_seconds);
     return EOK;
 }
 
@@ -1105,9 +1105,9 @@ fo_resolve_service_done(struct tevent_req *subreq)
                                     &common->rhostent);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to resolve server '%s': %s\n",
+        DEBUG(1, "Failed to resolve server '%s': %s\n",
                   common->name,
-                  resolv_strerror(resolv_status)));
+                  resolv_strerror(resolv_status));
         /* If the resolver failed to resolve a hostname but did not
          * encounter an error, tell the caller to retry another server.
          *
@@ -1189,8 +1189,8 @@ resolve_srv_send(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
     state->meta = server->srv_data->meta;
 
     status = get_srv_data_status(server->srv_data);
-    DEBUG(SSSDBG_FUNC_DATA, ("The status of SRV lookup is %s\n",
-          str_srv_data_status(status)));
+    DEBUG(SSSDBG_FUNC_DATA, "The status of SRV lookup is %s\n",
+          str_srv_data_status(status));
     switch(status) {
     case SRV_EXPIRED: /* Need a refresh */
         state->meta = collapse_srv_lookup(&server);
@@ -1207,7 +1207,7 @@ resolve_srv_send(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
         }
 
         if (ctx->srv_send_fn == NULL || ctx->srv_recv_fn == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("No SRV lookup plugin is set\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "No SRV lookup plugin is set\n");
             ret = ENOTSUP;
             goto done;
         }
@@ -1234,7 +1234,7 @@ resolve_srv_send(TALLOC_CTX *mem_ctx, struct tevent_context *ev,
         tevent_req_post(req, state->ev);
         return req;
     default:
-        DEBUG(1, ("Unexpected status %d for a SRV server\n", status));
+        DEBUG(1, "Unexpected status %d for a SRV server\n", status);
         ret = EIO;
         goto done;
     }
@@ -1271,8 +1271,8 @@ resolve_srv_done(struct tevent_req *subreq)
     case EOK:
         if ((num_primary_servers == 0 || primary_servers == NULL)
                 && (num_backup_servers == 0 || backup_servers == NULL)) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("SRV lookup plugin returned EOK but "
-                                        "no servers\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "SRV lookup plugin returned EOK but "
+                                        "no servers\n");
             ret = EFAULT;
             goto done;
         }
@@ -1308,8 +1308,8 @@ resolve_srv_done(struct tevent_req *subreq)
         if (last_server == state->meta) {
             /* SRV lookup returned only those servers
              * that are already present. */
-            DEBUG(SSSDBG_TRACE_FUNC, ("SRV lookup did not return "
-                                      "any new server.\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "SRV lookup did not return "
+                                      "any new server.\n");
             ret = ERR_SRV_DUPLICATES;
             goto done;
         }
@@ -1318,7 +1318,7 @@ resolve_srv_done(struct tevent_req *subreq)
          * We will return the first new server. */
         if (state->meta->next == NULL) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                 ("BUG: state->meta->next is NULL\n"));
+                 "BUG: state->meta->next is NULL\n");
             ret = ERR_INTERNAL;
             goto done;
         }
@@ -1341,8 +1341,8 @@ resolve_srv_done(struct tevent_req *subreq)
         fo_set_port_status(state->meta, PORT_NOT_WORKING);
         /* fall through */
     default:
-        DEBUG(SSSDBG_OP_FAILURE, ("Unable to resolve SRV [%d]: %s\n",
-                                  ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Unable to resolve SRV [%d]: %s\n",
+                                  ret, sss_strerror(ret));
     }
 
 done:
@@ -1385,8 +1385,8 @@ static void
 set_server_common_status(struct server_common *common,
                          enum server_status status)
 {
-    DEBUG(4, ("Marking server '%s' as '%s'\n", common->name,
-              str_server_status(status)));
+    DEBUG(4, "Marking server '%s' as '%s'\n", common->name,
+              str_server_status(status));
 
     common->server_status = status;
     gettimeofday(&common->last_status_change, NULL);
@@ -1396,7 +1396,7 @@ void
 fo_set_server_status(struct fo_server *server, enum server_status status)
 {
     if (server->common == NULL) {
-        DEBUG(1, ("Bug: Trying to set server status of a name-less server\n"));
+        DEBUG(1, "Bug: Trying to set server status of a name-less server\n");
         return;
     }
 
@@ -1408,8 +1408,8 @@ fo_set_port_status(struct fo_server *server, enum port_status status)
 {
     struct fo_server *siter;
 
-    DEBUG(4, ("Marking port %d of server '%s' as '%s'\n", server->port,
-              SERVER_NAME(server), str_port_status(status)));
+    DEBUG(4, "Marking port %d of server '%s' as '%s'\n", server->port,
+              SERVER_NAME(server), str_port_status(status));
 
     server->port_status = status;
     gettimeofday(&server->last_status_change, NULL);
@@ -1426,9 +1426,9 @@ fo_set_port_status(struct fo_server *server, enum port_status status)
     DLIST_FOR_EACH(siter, server->service->server_list) {
         if (fo_server_cmp(siter, server)) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("Marking port %d of duplicate server '%s' as '%s'\n",
+                  "Marking port %d of duplicate server '%s' as '%s'\n",
                    siter->port, SERVER_NAME(siter),
-                   str_port_status(status)));
+                   str_port_status(status));
             siter->port_status = status;
             gettimeofday(&siter->last_status_change, NULL);
         }
@@ -1440,7 +1440,7 @@ void fo_try_next_server(struct fo_service *service)
     struct fo_server *server;
 
     if (!service) {
-        DEBUG(1, ("Bug: No service supplied\n"));
+        DEBUG(1, "Bug: No service supplied\n");
         return;
     }
 
@@ -1493,7 +1493,7 @@ struct resolv_hostent *
 fo_get_server_hostent(struct fo_server *server)
 {
     if (server->common == NULL) {
-        DEBUG(1, ("Bug: Trying to get hostent from a name-less server\n"));
+        DEBUG(1, "Bug: Trying to get hostent from a name-less server\n");
         return NULL;
     }
 
@@ -1559,12 +1559,12 @@ bool fo_set_srv_lookup_plugin(struct fo_ctx *ctx,
                               void *pvt)
 {
     if (ctx == NULL || send_fn == NULL || recv_fn == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid parameters\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid parameters\n");
         return false;
     }
 
     if (ctx->srv_send_fn != NULL || ctx->srv_recv_fn != NULL) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("SRV lookup plugin is already set\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "SRV lookup plugin is already set\n");
         return false;
     }
 
diff --git a/src/providers/fail_over_srv.c b/src/providers/fail_over_srv.c
index 543516e..2645b28 100644
--- a/src/providers/fail_over_srv.c
+++ b/src/providers/fail_over_srv.c
@@ -48,7 +48,7 @@ struct tevent_req *fo_discover_srv_send(TALLOC_CTX *mem_ctx,
 
     req = tevent_req_create(mem_ctx, &state, struct fo_discover_srv_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
@@ -95,13 +95,13 @@ static void fo_discover_srv_done(struct tevent_req *subreq)
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Got answer. Processing...\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Got answer. Processing...\n");
 
     /* sort and store the answer */
     ret = resolv_sort_srv_reply(&reply_list);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not sort the answers from DNS "
-                                    "[%d]: %s\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not sort the answers from DNS "
+                                    "[%d]: %s\n", ret, strerror(ret));
         goto done;
     }
 
@@ -110,7 +110,7 @@ static void fo_discover_srv_done(struct tevent_req *subreq)
         state->num_servers++;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Got %zu servers\n", state->num_servers));
+    DEBUG(SSSDBG_TRACE_FUNC, "Got %zu servers\n", state->num_servers);
 
     state->servers = talloc_array(state, struct fo_server_info,
                                   state->num_servers);
@@ -201,7 +201,7 @@ struct tevent_req *fo_discover_servers_send(TALLOC_CTX *mem_ctx,
     req = tevent_req_create(mem_ctx, &state,
                             struct fo_discover_servers_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
@@ -248,7 +248,7 @@ struct tevent_req *fo_discover_servers_send(TALLOC_CTX *mem_ctx,
         goto immediately;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Looking up primary servers\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Looking up primary servers\n");
 
     domains = talloc_zero_array(state, const char *, 3);
     if (domains == NULL) {
@@ -293,8 +293,8 @@ static void fo_discover_servers_primary_done(struct tevent_req *subreq)
                                &state->num_primary_servers);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Unable to retrieve primary servers "
-                                  "[%d]: %s\n", ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Unable to retrieve primary servers "
+                                  "[%d]: %s\n", ret, sss_strerror(ret));
         if (ret != ERR_SRV_NOT_FOUND && ret != ERR_SRV_LOOKUP_ERROR) {
             /* abort on system error */
             goto done;
@@ -302,7 +302,7 @@ static void fo_discover_servers_primary_done(struct tevent_req *subreq)
     }
 
     if (state->backup_domain == NULL) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No backup domain specified\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No backup domain specified\n");
         goto done;
     }
 
@@ -316,7 +316,7 @@ static void fo_discover_servers_primary_done(struct tevent_req *subreq)
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Looking up backup servers\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Looking up backup servers\n");
 
     domains = talloc_zero_array(state, const char *, 2);
     if (domains == NULL) {
@@ -361,8 +361,8 @@ static void fo_discover_servers_backup_done(struct tevent_req *subreq)
                                &state->num_backup_servers);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Unable to retrieve backup servers "
-                                     "[%d]: %s\n", ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Unable to retrieve backup servers "
+                                     "[%d]: %s\n", ret, sss_strerror(ret));
         if (ret == ERR_SRV_NOT_FOUND || ret == ERR_SRV_LOOKUP_ERROR) {
             /* we have successfully fetched primary servers, so we will
              * finish the request normally on non system error */
@@ -491,7 +491,7 @@ struct tevent_req *fo_resolve_srv_dns_send(TALLOC_CTX *mem_ctx,
 
     req = tevent_req_create(mem_ctx, &state, struct fo_resolve_srv_dns_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
